Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadClassAsynchronousQueueingBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadClassAsynchronousQueueingBean

@ApplicationScoped @Bulkhead(value=5, waitingTaskQueue=5) @Asynchronous public class BulkheadClassAsynchronousQueueingBean extends Object
A class level `@Asynchronous @Bulkhead(value = 5, waitingTaskQueue = 5)` bean

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`BulkheadClassAsynchronousQueueingBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadClassAsynchronousQueueingBean

public BulkheadClassAsynchronousQueueingBean()

## Method Details

### test

public Future<?> test(Barrier barrier)